AuthRoleMetadatasResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class AuthRoleMetadatasResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.AuthRoleMetadatasResourceApi

-     public class AuthRoleMetadatasResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthRoleMetadatasResourceApi()`
    `AuthRoleMetadatasResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiAuthRoleMetadataList` | `readAuthRolesMetadata(String view)` Returns a list of the auth roles' metadata for the built-in roles.
    `com.squareup.okhttp.Call` | `readAuthRolesMetadataAsync(String view, ApiCallback<ApiAuthRoleMetadataList> callback)` Returns a list of the auth roles' metadata for the built-in roles.
    `com.squareup.okhttp.Call` | `readAuthRolesMetadataCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAuthRolesMetadata
    `ApiResponse<ApiAuthRoleMetadataList>` | `readAuthRolesMetadataWithHttpInfo(String view)` Returns a list of the auth roles' metadata for the built-in roles.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthRoleMetadatasResourceApi

          public AuthRoleMetadatasResourceApi()

    - #### AuthRoleMetadatasResourceApi

          public AuthRoleMetadatasResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### readAuthRolesMetadataCall

          public com.squareup.okhttp.Call readAuthRolesMetadataCall(String view,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for readAuthRolesMetadata
      Parameters:
        `view` - (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAuthRolesMetadata

          public ApiAuthRoleMetadataList readAuthRolesMetadata(String view)
                                                        throws ApiException

      Returns a list of the auth roles' metadata for the built-in roles. Returns a list of the auth roles' metadata for the built-in roles.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiAuthRoleMetadataList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRolesMetadataWithHttpInfo

          public ApiResponse<ApiAuthRoleMetadataList> readAuthRolesMetadataWithHttpInfo(String view)
                                                                                 throws ApiException

      Returns a list of the auth roles' metadata for the built-in roles. Returns a list of the auth roles' metadata for the built-in roles.
      Parameters:
        `view` - (optional, default to summary)
      Returns:
        ApiResponse<ApiAuthRoleMetadataList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAuthRolesMetadataAsync

          public com.squareup.okhttp.Call readAuthRolesMetadataAsync(String view,
                                                                     ApiCallback<ApiAuthRoleMetadataList> callback)
                                                              throws ApiException

      Returns a list of the auth roles' metadata for the built-in roles. (asynchronously) Returns a list of the auth roles' metadata for the built-in roles.
      Parameters:
        `view` - (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.